PatternVersionMatcher
Date: 2014-12-13

org.apache.ivy.plugins.version

## Class PatternVersionMatcher

- java.lang.Object
- - org.apache.ivy.plugins.version.AbstractVersionMatcher
  - - org.apache.ivy.plugins.version.PatternVersionMatcher

- All Implemented Interfaces:
    IvySettingsAware, VersionMatcher

      public class PatternVersionMatcher
      extends AbstractVersionMatcher

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternVersionMatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(ModuleRevisionId askedMrid, ModuleRevisionId foundMrid)` Indicates if this version matcher considers that the module revision found matches the asked one.
    `void` | `addMatch(Match match)`
    `boolean` | `isDynamic(ModuleRevisionId askedMrid)` Indicates if the given asked ModuleRevisionId should be considered as dynamic for the current VersionMatcher or not.

    - ### Methods inherited from class org.apache.ivy.plugins.version.AbstractVersionMatcher

      `accept, compare, getName, getSettings, needModuleDescriptor, setName, setSettings, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternVersionMatcher

          public PatternVersionMatcher()

  - ### Method Detail

    - #### addMatch

          public void addMatch(Match match)

    - #### accept

          public boolean accept(ModuleRevisionId askedMrid,
                       ModuleRevisionId foundMrid)

      Indicates if this version matcher considers that the module revision found matches the asked one.
      Returns:

    - #### isDynamic

          public boolean isDynamic(ModuleRevisionId askedMrid)

      Indicates if the given asked ModuleRevisionId should be considered as dynamic for the current VersionMatcher or not.
      Parameters:
        `askedMrid` - the dependency module revision id as asked by a module
      Returns:
        true if this revision is considered as a dynamic one, false otherwise